Bug 434647 - X server segfaults in libXfont fs_cleanup_bfont()
X server segfaults in libXfont fs_cleanup_bfont()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libXfont (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-23 17:27 EST by Thomas Quinn
Modified: 2014-06-18 05:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:03:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log with several backtraces (40.07 KB, text/plain)
2008-04-29 14:30 EDT, Frank Middleton
no flags Details
gdb backtrace after screensaver screen blank causes segfault (42.96 KB, text/plain)
2008-05-02 16:08 EDT, Frank Middleton
no flags Details

  None (edit)
Description Thomas Quinn 2008-02-23 17:27:14 EST
Description of problem:

The X server dies with a segmentation fault.  Here is the backtrace:

Backtrace:
0: /usr/bin/X(xf86SigHandler+0x81) [0x80c2f01]
1: [0x110420]
2: /usr/lib/libXfont.so.1 [0xa56d14]
3: /usr/lib/libXfont.so.1 [0xa573ff]
4: /usr/lib/libXfont.so.1 [0xa594ae]
5: /usr/lib/libXfont.so.1 [0xa59647]
6: /usr/bin/X(FontWakeup+0x4d) [0x808920d]
7: /usr/bin/X(WakeupHandler+0x59) [0x808c959]
8: /usr/bin/X(WaitForSomething+0x1ae) [0x81b64be]
9: /usr/bin/X(Dispatch+0x8d) [0x80886fd]
10: /usr/bin/X(main+0x49a) [0x807054a]
11: /lib/libc.so.6(__libc_start_main+0xe0) [0x884390]
12: /usr/bin/X(FontFileCompleteXLFD+0x1f1) [0x806f831]

Fatal server error:
Caught signal 11.  Server aborting

Here is symbol information for libXfont:
0xa56d14 <fs_cleanup_bfont+20>: mov    0x78(%eax),%edi
0xa573ff <fs_abort_blockrec+143>:       lea    0x20(%esi),%eax
0xa594ae <_fs_check_reconnect+142>:     mov    0x6c(%edi),%esi
0xa59647 <fs_wakeup+215>:       jmp    0xa595c6 <fs_wakeup+86>

0xa56d14 is in fs_cleanup_bfont (fserve.c:563).
558     {
559         FSFontDataRec *fsd;
560
561         if (bfont->pfont)
562         {
563             fsd = (FSFontDataRec *) bfont->pfont->fpePrivate;
564         
565             /* make sure the FS knows we choked on it */
566             fs_send_close_font(bfont->pfont->fpe, bfont->fontid);
567


Version-Release number of selected component (if applicable):

Name   : libXfont
Arch   : i386
Version: 1.3.1
Release: 2.fc8

How reproducible:

I'm not sure how to reproduce it, although it seems to correlate with use of
firefox.  The crash happens about every other day since an update in mid February.
Comment 1 Frank Middleton 2008-04-29 14:30:45 EDT
Created attachment 304148 [details]
Xorg.0.log with several backtraces

Linux apogee8.apogeect.com 2.6.24.4-64.fc8 #1 SMP Sat Mar 29 09:54:46 EDT 2008
i686 athlon i386 GNU/Linux

xorg-x11-server-Xorg.i386 1.3.0.0-44.fc8  

This crash has become more frequent with more recent updates (updates are
current). To reproduce, start Firefox and go to E-Bay. May have to revert to
FC3 (rock solid on this machine) until this is fixed :-(
Comment 2 Frank Middleton 2008-05-02 16:08:46 EDT
Created attachment 304407 [details]
gdb backtrace after screensaver screen blank causes segfault

It turned out to be the screen blanker. Disabling the screen saver entirely
eliminates the segfault. This clearly has nothing to do with libXfont
fs_cleanup_bfont() so maybe it should be a new bug?
Comment 3 Bug Zapper 2008-11-26 04:55:29 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:03:20 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.